#!/bin/sh
# mensagem_parser1.sh - Usando arquivo temporrio
# 2003-07-12 Aurelio Marinho Jargas

CONF=mensagem.conf
usar_cores=0
CORLETRA=
CORFUNDO=
MENSAGEM='nenhuma mensagem definida!'

### Incluindo a configurao usando arquivo temporrio
temp=temp.$$
# Parser l a config e guarda no arquivo temporrio
./parser.sh $CONF > $temp
# Incluindo as configurao na Shell atual
. $temp
rm $temp

# Daqui para frente, as variveis do arquivo de configurao
# esto disponveis

# Ligando ou no as cores
if [ "$USARCORES" = '1' -o "$USARCORES" = 'ON' ]; then
	usar_cores=1
fi

if [ $usar_cores -eq 1 ]; then
	# mostrar mensagem colorida
	echo -e "\033[$CORFUNDO;${CORLETRA}m$MENSAGEM\033[m"
else
	# no usar cores
	echo -e "$MENSAGEM"
fi

