#!/bin/sh
# listagem2-elite.sh - Mostra todos os dados do banco
# 2003-07-09 Aurelio Marinho Jargas
#
# Formato Elite :)


BANCO=dados.txt 				# arquivo onde esto os dados

IFS=:						# o :  o separador padro
CAMPOS=`head -1 $BANCO`				# nomes dos campos na 1a linha

echo "Listando os dados do banco '$BANCO'"

# obs.: a primeira linha  apagada porque so os nomes dos campos
sed 1d $BANCO | while read LINHA; do		# cada linha do banco em $LINHA
	set - $LINHA 				# guarda dados em $1, $2, $3...
	echo -----------------------------	# linha separadora
	for campo in $CAMPOS; do		# para cada campo...
		printf "%15s: %s\n" $campo $1	# mostra o campo: valor
		shift                           # tira $1, realocando os outros
	done
done


# vim:ts=8
