#!/bin/sh
# listagem2-prof.sh - Mostra todos os dados do banco
# 2003-07-09 Aurelio Marinho Jargas
#
# Formato Elite, verso do professor


BANCO=dados.txt 				# arquivo onde esto os dados

IFS=:						# o :  o separador padro
CAMPOS=`head -1 $BANCO`				# nomes dos campos na 1a linha

echo "Listando os dados do banco '$BANCO'"

# obs.: a primeira linha  apagada porque so os nomes dos campos
sed 1d $BANCO | while read LINHA; do		# cada linha do banco em $LINHA
	set - $LINHA 				# guarda dados em $1, $2, $3...
	echo -----------------------------	# linha separadora
	for campo in $CAMPOS; do		# para cada campo...
	
		valor=$1
		[ "$campo" = 'login' ] && valor="\033[33;1m$valor\033[m"
		
		printf "\033[44m%15s:\033[m " $campo
		echo -e $valor
		
		#printf "%15s: %s\n" $campo $1	# mostra o campo: valor
		shift                           # tira $1, realocando os outros
	done
done


# vim:ts=8
