#!/bin/bash
# parametros-getopts.sh - teste do comando getopts (bash)
# 2003-07-25 Aurelio Marinho Jargas

# Funo que mostra a tela de ajuda e sai
Uso(){
	echo "
uso: $0 [OPES]

OPES:
	-m MSG	Mostra a mensagem MSG na tela
	-h	Mostra esta tela de ajuda
	-V	Mostra a verso do programa
"
	exit 0
}

# Loop nas opes recebidas na linha de comando
# As opes vlidas so 'hVm:', que so -h, -V e -m
# Como  'm:', isso significa que ele deve receber um argumento
# A varivel $OPTARG guarda o argumento da opo
#       
while getopts "hVm:" opt; do
	case $opt in
	h) Uso;;
	V) echo $0 verso 0.1;;
	m) echo "$OPTARG";;
	*) echo ERRO: Opo desconhecida ou Falta Argumento;;
	esac
done
