#!/bin/sh
# apaga1.sh - Apaga um registro do banco de dados
# 2003-07-09 Aurelio Marinho Jargas
#


# arquivo onde esto os dados
BANCO=dados.txt
# a chave do registro a ser apagado  enviado pelo usurio
CHAVE=$1

# se a chave passada pelo usurio estiver no banco...
if grep $CHAVE $BANCO; then

	# apaga a sua linha da chave
	# e guarda o resultado num arquivo temporrio
	grep -v $CHAVE $BANCO > temp
	
	# regrava o banco sem a chave apagada
	# desabilitado at termos certeza
	#mv temp $BANCO
	cat temp
	
	echo "Registro $CHAVE apagado."

# se a chave no estiver no banco, nada a fazer
else	
	echo "Registro $CHAVE no encontrado."
fi
