#!/bin/sh
# apaga4-elite.sh - Apaga um registro do banco de dados
# 2003-07-09 Aurelio Marinho Jargas
#
# Verso Elite :)


BANCO=dados.txt 			# arquivo onde esto os dados
TEMP=temp.$$				# arquivo temporrio
MAIUMINU=''				# maisculas/minsculas, use -i ou nada


if [ $# -ne 1 ]; then			# checagem da linha de comando
	echo "uso: $0 <chave>"		# se no passou a chave, mostra msg...
	exit 1				# ...e sai do programa
fi

CHAVE="$1"				# parmetro passado pelo usurio
PADRAO="^$CHAVE:"			# no comeo da linha e teminando com :

if grep $MAIUMINU -qs "$PADRAO" $BANCO; then		# a chave est no banco?
	grep -v $MAIUMINU "$PADRAO" $BANCO > $TEMP	# apaga a chave
	mv $TEMP $BANCO					# regrava o banco
	echo "Registro $CHAVE apagado."
else							# a chave no encontrada
	echo "Registro $CHAVE no encontrado."
fi


# vim: ts=8
