#!/bin/sh
# insere1.sh - Insere um registro do banco de dados
# 2003-07-09 Aurelio Marinho Jargas
#


# aqui definimos o arquivo onde esto os dados
BANCO=dados.txt

# como nossos dados so separados por :, esse ser o separador padro
IFS=:

# extrai a primeira linha do banco, onde esto os nomes dos campos
CAMPOS=`head -1 $BANCO`

# reseta a varivel que conter todo o registro do usurio
registro=''

# para cada campo...
for campo in $CAMPOS; do

	# pede ao usurio para digitar o valor
	echo -n "Informe o '$campo': "

	# l o valor digitado pelo usurio
	read valor

	# guarda esse valor junto com os demais, compondo a linha
	registro="$registro:$valor"
done

# gravando o registro novo no banco
# desabilitado at termos certeza
#echo $registro >> $BANCO
echo "O registro  $registro"
