#!/bin/sh
# listagem1.sh - Mostra todos os dados do banco
# 2003-07-09 Aurelio Marinho Jargas


# aqui definimos o arquivo onde esto os dados
BANCO=dados.txt

# como nossos dados so separados por :, esse ser o separador padro
IFS=:

# extrai a primeira linha do banco, onde esto os nomes dos campos
CAMPOS=`head -1 $BANCO`

echo "Listando os dados do banco '$BANCO'"

# guarde cada linha do arquivo $BANCO na varivel $LINHA e...
cat $BANCO | while read LINHA; do

	# guarda cada 'pedao' da linha em $1, $2, $3, ...
	set - $LINHA

	# mostra linha para separar dados
	echo -----------------------------	

	# para cada campo...
	for campo in $CAMPOS; do
	
		# mostra o campo: valor
		echo "$campo: $1"

		# apaga o $1 atual, reposicionando os outros
		shift
	done
	
# fim do loop das linhas do arquivo
done
