#!/bin/sh
# apagash - Apaga um registro do banco de dados
# 2003-07-09 Aurelio Marinho Jargas
#
# Verso Elite, usando biblioteca


. lib.sh				# incluindo a biblioteca

if [ $# -ne 1 ]; then			# checagem da linha de comando
	echo "uso: $0 <chave>"		# se no passou a chave, mostra msg...
	exit 1				# ...e sai do programa
fi

if tem_chave "$1"; then
	apaga_registro $1
	echo "Registro $1 apagado."
else
	echo "Registro $1 no encontrado."
fi


# vim: ts=8
