# lib.sh - Biblioteca comum para o banco de dados
# 2003-07-09 Aurelio Marinho Jargas


#--------------------------------[ configurao ]-----------------------------

BANCO=dados.txt		 		# arquivo onde esto os dados
IFS=:					# defina aqui o separador, padro  :
TEMP=temp.$$				# arquivo temporrio
IGNORAR_Mm=0				# tratar igual maisculas e minsculas?


#----------------------------------[ funes ]--------------------------------

tem_chave() {
	grep $IGNOREMM -qs "^$1$IFS" $BANCO         # a chave est no banco?
}

apaga_registro() {
	[ -z $1 ] && return
	grep $IGNOREMM -v "^$1$IFS" $BANCO > $TEMP  # apaga a chave
	mv $TEMP $BANCO                             # regrava o banco
}

#---------------------------------[ variveis ]-------------------------------

# extrai a primeira linha do banco, onde esto os nomes dos campos
CAMPOS=`head -1 $BANCO`

# define (ou no) a opo de ignorar maisculas e minsculas
[ "$IGNORAR_Mm" = 1 ] && IGNOREMM='-i'
