#!/bin/sh
# listagem.sh - Mostra todos os dados do banco
# 2003-07-09 Aurelio Marinho Jargas
#
# Formato Elite :)

. lib.sh					# incluindo a biblioteca

echo "Listando os dados do banco '$BANCO'"

# obs.: a primeira linha  apagada porque so os nomes dos campos
sed 1d $BANCO | while read LINHA; do		# cada linha do banco em $LINHA
	set - $LINHA 				# guarda dados em $1, $2, $3...
	echo -----------------------------	# linha separadora
	for campo in $CAMPOS; do		# para cada campo...
		printf "%15s: %s\n" $campo $1	# mostra o campo: valor
		shift                           # tira $1, realocando os outros
	done
done


# vim:ts=8
